<?php

//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

/* This file contains en_US strings.  It is the default! */

  /* Formats */

$strings['formats']['name'] = 'English (US)';
$strings['formats']['locale_names'] = array('en_US.utf8', 'en_US', 'en', 'eng', 'C');
$strings['formats']['encoding'] = 'utf-8';
$strings['formats']['lang_xml'] = 'en';
$strings['formats']['direction'] = 'ltr';
$strings['formats']['full_date'] = '%A, %B %d, %Y @ %I:%M:%S %p';
$strings['formats']['date'] = '%B %e, %Y';
$strings['formats']['short_date'] = '%b %e, %y';
$strings['formats']['time'] = '%I:%M %p';

 /* Date stuff */

$dayNames = array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
$monthNames = array("", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");

 /* Errors */

$strings['errors']['report_bug'] = "Report a bug";
$strings['errors']['not_owner'] = "You are not the owner of this resource.";
$strings['errors']['private'] = "This is a private resource.";
$strings['errors']['protected'] = "This is a protected resource, and you are not a registered client or do not have the required password.";
$strings['errors']['insuff_perm'] = "You do not have sufficient permissions to proceed.";
$strings['errors']['admin_perm'] = "You need admin-level rights to access this resource.";
$strings['errors']['user_perm'] = "You need user-level rights to access this resource.";
$strings['errors']['client_perm'] = "You need client-level rights to access this resource.";
$strings['errors']['registration_disabled'] = "Registration is disabled.";
$strings['errors']['no_user'] = "A user argument is required.";
$strings['errors']['not_client'] = "You are not a registered client of this user.";
$strings['errors']['invalid_login'] = "Invalid login, try again.";
$strings['errors']['invalid_email'] = "No user found with the specified email address.";
$strings['errors']['disabled_account'] = "Your account has been disabled.";
$strings['errors']['install_enabled'] = "You have the installer script enabled.  Please set \$install_enabled=0 in your config_site.php to disable the installer.  Continuing with it enabled is a major security risk!";
$strings['errors']['default_admin'] = "You are using the default admin account and have not changed its default password.  This is a major security risk!";
$strings['errors']['failed_volume'] = "Failed to retrieve current or create a new volume in the image repository.";
$strings['errors']['not_folder_owner'] = "You do not own the destination folder.";
$strings['errors']['quota_space_full'] = "Your account has reached the maximum storage space quota.";
$strings['errors']['quota_count_full'] = "Your account has reached the maximum file count quota.";
$strings['errors']['db_insert_failed'] = "Failed to update database.";
$strings['errors']['bulk_upload_disabled'] = "Bulk upload is disabled for this account.";
$strings['errors']['file_upload_disabled'] = "File uploads are disabled in your PHP configuration file.";
$strings['errors']['exiftool_not_installed'] = "ExifTool not installed.  Cannot extract image metadata.";
$strings['errors']['exiftool_failed'] = "Call to ExifTool failed.  Cannot extract image information.";
$strings['errors']['no_such_folder'] = "No such folder";
$strings['errors']['no_such_photo'] = "No such photo";
$strings['errors']['no_such_album'] = "No such album";
$strings['errors']['cant_open_volume'] = "Cannot open current storage volume";
$strings['errors']['cant_link_volume'] = "Cannot link to storage volume";
$strings['errors']['cant_rename_volume'] = "Cannot rename storage volume";
$strings['errors']['invalid_options'] = "Invalid options for operation";
$strings['errors']['password_mismatch'] = "Password mismatch";
$strings['errors']['name_mandatory'] = "First and last names are madatory.";
$strings['errors']['email_mandatory'] = "E-mail address is mandatory.";
$strings['errors']['invalid_file'] = "Invalid file specified.";
$strings['errors']['names_mandatory'] = "First name and last name are mandatory.";
$strings['errors']['username_registered'] = "Username already registered";
$strings['errors']['file_not_found'] = "File does not exist";
$strings['errors']['iptc_not_implemented'] = "IPTC embedding is not yet supported.";
$strings['errors']['failed_temp_file_removal'] = "Failed to remove temporary file";
$strings['errors']['already_rated'] = "You have already rated this image.";
$strings['errors']['delete_master'] = "You cannot delete a master version.";
$strings['errors']['illegal_name'] = "You specified an illegal name for this object.";
$strings['errors']['xml_error'] = "XML error: %d %s in file data.xml at line %d";

 /* Login page strings */

$strings['login']['email_prompt'] = "Please enter the email address you used when registering on this system.   If we find the address in our database, we will send you a message containing your login information.";
$strings['login']['logout_prompt'] = "If you wish to log out, press the button below.  It will remove your current session and all cookies.  You will need to log in again if you proceed.";
$strings['login']['login_prompt'] = "Log in to gain full access.";

$strings['login']['email_sent'] = "Your login information has been sent to";
$strings['login']['logged_in_as'] = "You are logged in as ";
$strings['login']['email_prep'] = "Preparing your login information request.";
$strings['login']['auto_login'] = "Log me in automatically in the future";
 
$strings['login']['admin_account'] = "Your account is an administrator account";
$strings['login']['user_account'] = "Your account is a user account.";
$strings['login']['client_account'] = "Your account is a client account.";
$strings['login']['disabled_account'] = "Your account is disabled.";

$strings['login']['user_register'] = "If you would like an account, register here:";
$strings['login']['forgot_password'] = "If you have forgotten your username or password, click";

 /* User page */
$strings['users']['select'] = "Select a user";
$strings['users']['my_folders'] = "My Folders and Albums";
$strings['users']['display'] = "Display User";
$strings['users']['registered_customer'] = "is one of your registered clients.";
$strings['users']['register_prompt'] = "If you like these images you can register and see the protected images of";
$strings['users']['subscribe_prompt'] = "Subscribe and become a client of this user";
$strings['users']['make_client'] = "Register this user as one of your clients";

$strings['users']['you_have_photos'] = 'You have %d images in %d folders and %d albums';

$strings['users']['add_subscription'] = 'Add Subscription';
$strings['users']['del_subscription'] = 'Remove Subscription';
$strings['users']['date_subscription'] = 'Subscription Date';

$strings['users']['confirm_subscription'] = 'By confirming your subscription, you will disclose the following contact information to ';

 /* Searching */
$strings['search']['search_string_prompt'] = "Enter the string you wish to search for";
$strings['search']['search_user'] = "Search for images or folders belonging to a specified user";

$strings['search']['photos'] = "Images";
$strings['search']['folders'] = "Folders &amp; Albums";
$strings['search']['users'] = "Users";
$strings['search']['string'] = "Type Search String Below";
$strings['search']['ignore_keywords'] = "The following keywords were ignored:";
$strings['search']['use_quotes'] = "Use quotation marks to force the search engine to include these keywords.";
$strings['search']['albums_found'] = "Albums and folders found: ";
$strings['search']['display_users'] = "Displaying users ";
$strings['search']['no_matches'] = "No matches found for ";
$strings['search']['searched_for'] = "Searched database for ";
$strings['search']['union'] = "UNION";
$strings['search']['intersect'] = "INTERSECT";
$strings['search']['displaying'] = 'Displaying images';

 /* Admin stuff */
$strings['admin']['image_repository'] = 'Image Repository';
$strings['admin']['new_user_prefs'] = 'New User Preferences';
$strings['admin']['users_clients'] = 'Users and Clients';
$strings['admin']['front_page'] = 'Front Page';
$strings['admin']['avail_disk_space'] = 'Available disk space';
$strings['admin']['delete_user'] = 'Delete Member';
$strings['admin']['edit_user'] = 'Edit Member';
$strings['admin']['edit_volume'] = 'Edit Image Repository Volume';

 /* Label stuff */
$strings['label']['margin'] = 'Margin';
$strings['label']['width'] = 'Width';
$strings['label']['space'] = 'Space';
$strings['label']['height'] = 'Height';
$strings['label']['rows'] = 'Rows';
$strings['label']['columns'] = 'Columns';
$strings['label']['h_space'] = 'H Space';
$strings['label']['v_space'] = 'V Space';
$strings['label']['h_offset'] = 'H Offset';
$strings['label']['v_offset'] = 'V Offset';

$strings['label']['portrait'] = 'Portrait';
$strings['label']['spacing'] = 'Spacing';
$strings['label']['landscape'] = 'Landscape';

$strings['label']['orientation'] = 'Orientation';
$strings['label']['paper_size'] = 'Paper size';
$strings['label']['details'] = 'Please select which of the following details you want to appear on the printout.';
$strings['label']['dupes'] = 'Please select which duplicates you want to appear on the printout.';

$strings['label']['output'] = 'Output format';

 /* Photo info stuff */
$strings['photo']['geo-location'] = 'geolocation';
$strings['photo']['latitude'] = 'Latitude';
$strings['photo']['longitude'] = 'Longitude';
$strings['photo']['altitude'] = 'Altitude';
$strings['photo']['direction'] = 'Direction';
$strings['photo']['no_title'] = 'No Title';

$strings['photo']['hidden_path'] = 'Path Hidden';
$strings['photo']['from_folder'] = 'This image is from';
$strings['photo']['album_descr'] = 'Album description';
$strings['photo']['folder_descr'] = 'Folder description';
$strings['photo']['album_added'] = 'Date added to album';
$strings['photo']['full_exif'] = 'Display all stored EXIF data';
$strings['photo']['full_exif_dump'] = 'Generate new EXIF data dump';

$strings['photo']['details'] = 'Details';
$strings['photo']['technical'] = 'Technical';
$strings['photo']['versions'] = 'Versions';
$strings['photo']['dupes'] = 'Duplicates';
$strings['photo']['dupe'] = 'Duplicate';
$strings['photo']['rating'] = 'Rating';
$strings['photo']['myself'] = 'Myself';
$strings['photo']['ratings'] = 'Ratings';
$strings['photo']['copyright'] = 'Copyright';

$strings['photo']['dimensions'] = 'Dimensions';

$strings['photo']['add_version'] = 'Add Version';
$strings['photo']['add_rating'] = 'Add Image Rating';
$strings['photo']['add_dupe'] = 'Add Dupe';

$strings['photo']['identifier'] = 'Image Identifier';
$strings['photo']['dupe_id'] = 'Dupe Identifier';
$strings['photo']['store'] = 'Purchase URL';

$strings['photo']['purchase'] = 'Purchase this image';

$strings['photo']['rating_text'] = 'Your score is %s.';

/* User stuff */
$strings['user']['first_name'] = 'First Name';
$strings['user']['last_name'] = 'Last Name';
$strings['user']['company'] = 'Company';
$strings['user']['address'] = 'Address';
$strings['user']['city'] = 'City';
$strings['user']['post_code'] = 'ZIP code';
$strings['user']['state'] = 'State';
$strings['user']['country'] = 'Country';
$strings['user']['email'] = 'E-mail';
$strings['user']['web'] = 'Website URL';
$strings['user']['phone'] = 'Phone';
$strings['user']['registration_text'] = 'Fields in <b>bold</b> are mandatory';

$strings['user']['identification'] = 'Identification';
$strings['user']['contact'] = 'Contact Information';
$strings['user']['calendar'] = 'Calendar';
$strings['user']['search_engine'] = 'Search Engine';
$strings['user']['photo_browser'] = 'Photo Browser';
$strings['user']['photo_upload'] = 'Photo Upload';
$strings['user']['printing'] = 'Printing';

$strings['user']['del_client'] = 'Remove Client';
$strings['user']['edit_client'] = 'Edit Client';

$strings['user']['hide'] = 'Hide on user list';

 /* Profile */
$strings['profile']['id_no'] = "ID #";
$strings['profile']['serial'] = "Serial Number";
$strings['profile']['model'] = "Model";
$strings['profile']['variation'] = "Variation";
$strings['profile']['new'] = "New?";
$strings['profile']['purchased'] = "Purchase Date";
$strings['profile']['ignore_comment'] = "Ignore Comment";
$strings['profile']['image_count'] = "Image Count";
$strings['profile']['icc_profile'] = "ICC Profile";
$strings['profile']['iso'] = "ISO Speed";
$strings['profile']['manufacturer'] = 'Manufacturer';

$strings['profile']['add'] = "Add a new %s";
$strings['profile']['edit'] = "Modify a %s";
$strings['profile']['delete'] = "Remove a %s";
$strings['profile']['none_found'] = 'No %s types found';
$strings['profile']['new_type'] = 'New %s type';
$strings['profile']['edit_type'] = "Edit a %s type";
$strings['profile']['specific_data'] = '%s specific data';
$strings['profile']['must_add_manufacturers'] = "You must add manufacturers before adding a new %s.";
$strings['profile']['all'] = "All %s in the system";
$strings['profile']['quality'] = "Quality";

/* Settings */
$strings['profile']['week_begins'] = "First day of week";
$strings['profile']['start_hour'] = "Start hour";
$strings['profile']['end_hour'] = "End hour";
$strings['profile']['default_engine'] = "Default search engine";
$strings['profile']['enable_stemming'] = "Enable stemming";
$strings['profile']['popup_enable'] = "Image info popup";
$strings['profile']['photos_slide'] = "Images per page (slide view)";
$strings['profile']['photos_list'] = "Images per page (listing view)";
$strings['profile']['default_view'] = "Default image view";
$strings['profile']['default_sort'] = "Default sort order";
$strings['profile']['upload_options'] = "Image upload options";
$strings['profile']['thumbnail'] = "Thumbnail";
$strings['profile']['preview'] = "Preview";
$strings['profile']['gamma'] = "Gamma";
$strings['profile']['sharpening'] = "Sharpen radius x sigma, amount + threshold";
$strings['profile']['border'] = "Border width x height & color";
$strings['profile']['format'] = "Format";
$strings['profile']['colorspace'] = "Colorspace";
$strings['profile']['metadata'] = "Transfer Metadata";
$strings['profile']['raw_options'] = "RAW Decoder Options";
$strings['profile']['raw_decoder'] = "RAW Decoder Preference";
$strings['profile']['jpgfromraw'] = "Import embedded preview";
$strings['profile']['white_balance'] = "White Balance";
$strings['profile']['bitdepth'] = "Bitdepth";
$strings['profile']['brightness'] = "Brightness (dcraw)";
$strings['profile']['raw_gamma'] = "Gamma (ufraw)";
$strings['profile']['raw_gamma_lin'] = "Gamma linearity (ufraw)";
$strings['profile']['watermark_options'] = "Watermarking Options";
$strings['profile']['watermark_photo'] = "Watermarking Photo";
$strings['profile']['watermark_brightness'] = "Watermarking Brightness";
$strings['profile']['watermark_mask'] = "Watermark Mask";
$strings['profile']['print_format'] = "Default print format";
$strings['profile']['print_paper'] = "Default paper type";
$strings['profile']['print_label'] = "Default label type";

$strings['profile']['aperture_focal'] = "Aperture & Focal Length";
$strings['profile']['exiftool_id'] = "ExifTool LensID";

 /* Searches */
$strings['search']['gen_text'] = 'General Text';
$strings['search']['adv_text'] = 'Advanced Text';
$strings['search']['img_layout'] = 'Image Layout';
$strings['search']['img_color'] = 'Image Color';

 /* Actions */
$strings['generic']['go_to_f'] = 'Go to Folder';
$strings['generic']['go_to_a'] = 'Go to Album';
$strings['generic']['link_to_a'] = 'Link to Album';
$strings['generic']['move_to_f'] = 'Move to Folder';
$strings['generic']['move_to_a'] = 'Move to Album';
$strings['generic']['bulk_update'] = 'Bulk Update';
$strings['generic']['content_indexer'] = 'Content Indexer';

/* Spooler */
$strings['spool']['name'] = 'Spool';
$strings['spool']['photos_in'] = 'Images in Spool';
$strings['spool']['view'] = 'View Spool';
$strings['spool']['empty'] = 'Empty Spool';

/* Exports */
$strings['export']['exporting'] = 'Exporting %s images...';
$strings['export']['close_xml'] = 'Closing XML description file';
$strings['export']['create_xml'] = 'Creating XML description file';
$strings['export']['append_xml'] = 'Appending data to XML description file';
$strings['export']['add_xml'] = 'Adding XML description file to archive';
$strings['export']['remove_xml'] = 'Removing XML description file';
$strings['export']['image'] = 'Exporting image #';
$strings['export']['skipped'] = 'Image <strong>%s</strong> skipped';
$strings['export']['copying'] = 'Copying file <strong>%s</strong> to staging area';
$strings['export']['archive'] = 'Adding file <strong>%s</strong> to archive';
$strings['export']['finished'] = 'Export finished';
$strings['export']['removing'] = 'Removing temporary file <strong>%s</strong>';
$strings['export']['download'] = 'Click %s to retrieve your exported images';

 /* Tools */
$strings['tools']['xml_template_generator'] = 'XML Template Generator';
$strings['tools']['xml_converter'] = 'XML Converter';
$strings['tools']['shop_item_generator'] = 'Shop Item Generator';
$strings['tools']['content_indexer'] = 'Content Indexer';
$strings['tools']['xml_template_file'] = 'XML Template File';
$strings['tools']['regenerate_thumb'] = 'Regenerate thumbnail and preview';
$strings['tools']['create_shop_items'] = 'Create Shop Items';
$strings['tools']['remove_all_in_specified'] = 'Remove all shop items in the specified selection';
$strings['tools']['fill_in_image_details'] = 'Fill in image details and default values';
$strings['tools']['base_file'] = 'Base filename';
$strings['tools']['file_format'] = 'File format, ex: jpg, gif, ...';
$strings['tools']['base_name'] = "Constant part of filename, eg 'DSC_'";
$strings['tools']['digits'] = "Number of digits in the file name, eg for 'DSC_0052' this would be 4";
$strings['tools']['start_num'] = "Starting number";
$strings['tools']['start_num_text'] = "File number of first image";
$strings['tools']['num_photos'] = "Number of images";
$strings['tools']['num_photos_text'] = 'How many images do you want to generate XML info for?';
$strings['tools']['num_photos_updated'] = "Number of images updated";
$strings['tools']['num_photos_indexed'] = "Number of images indexed";
$strings['tools']['regenerating_images'] = "Regenerating thumbnail and preview images for photo ";

$strings['tools']['source_file'] = "Specify source file";
$strings['tools']['select_lens'] = "Some images match mutliple lenses based on their focal length.  Please specify the details below.";


 /* Datebook */
$strings['datebook']['client'] = 'client';
$strings['datebook']['clients'] = 'clients';
$strings['datebook']['client_remark'] = "client remarks";
$strings['datebook']['pending_orders'] = 'pending orders';
$strings['datebook']['order'] = 'order';
$strings['datebook']['value'] = 'value';
$strings['datebook']['shipments'] = 'shipments';
$strings['datebook']['quantity'] = 'quantity';
$strings['datebook']['i_am_client_of'] = 'I am a client of the following users';
$strings['datebook']['my_contacts'] = 'My Contacts';

$strings['datebook']['day'] = 'Day View';
$strings['datebook']['week'] = 'Week View';
$strings['datebook']['week2'] = 'Week';
$strings['datebook']['month'] = 'Month View';
$strings['datebook']['goto'] = 'Go To';
$strings['datebook']['today'] = 'Today';
$strings['datebook']['this_week'] = 'This Week';
$strings['datebook']['this_month'] = 'This Month';
$strings['datebook']['no_events'] = 'No Events for this Day';
$strings['datebook']['event'] = 'Datebook Event';
$strings['datebook']['create_event'] = 'Create a new Event';
$strings['datebook']['del_event'] = 'Remove an Event';
$strings['datebook']['edit_event'] = 'Modify an Event';
$strings['datebook']['date'] = 'Event date';
$strings['datebook']['start'] = 'Start time';
$strings['datebook']['end'] = 'End time';
$strings['datebook']['time'] = 'Event time';

$strings['datebook']['adjust_date'] = "Click to adjust date";
$strings['datebook']['set_date'] = "Click to set date";
$strings['datebook']['blank'] = "~NOT ENTERED~";


 /* Importing */

$strings['import']['file_selector'] = 'File Selector';
$strings['import']['file'] = 'Upload file';
$strings['import']['folder'] = 'Into Folder';
$strings['import']['metadata'] = 'Metadata prescedence';
$strings['import']['default_props'] = 'Default image properties';
$strings['import']['default_data'] = 'Default shooting data';
$strings['import']['max_size'] = 'Maximum upload file size';
$strings['import']['local_path'] = 'Import from path on server';

$strings['import']['storage_location'] = 'Storage location';
$strings['import']['storage_location_id'] = 'Location identifier -- incremented when the index wraps around';
$strings['import']['storage_location_index'] = 'Location index -- incremented for each photo';
$strings['import']['storage_location_size'] = 'Location size -- the index will wrap around at this number';

$strings['import']['xml_error'] = '%s, XML error: %d %s in file %s at line %d';
$strings['import']['extracting_metadata'] = 'Extracting Image Metadata';
$strings['import']['import_photos'] = 'Import Images';
$strings['import']['edit_photo'] = 'Edit Image';
$strings['import']['no_more_uploads'] = 'No further uploads are possible.';
$strings['import']['cleaning_up'] = 'Cleaning up the mess.';
$strings['import']['generating_thumb'] = 'Generating thumbnail image';
$strings['import']['generating_preview'] = 'Generating preview image';
$strings['import']['transferring_metadata'] = 'Transferring metadata';
$strings['import']['watermarking'] = 'Watermarking image';
$strings['import']['complete'] = 'Image import complete.';
$strings['import']['all_complete'] = 'All images imported.';
$strings['import']['moving_file_to_tmp'] = 'Moving uploaded file into temporary directory';

$strings['import']['copying_into_repo'] = 'Copying original image <strong>%s</strong> into repository';
$strings['import']['decoding_raw_using'] = 'Decoding RAW image using <em>%s</em>';
$strings['import']['importing_from_folder'] = "Importing images from <strong>'%s'</strong> ";
$strings['import']['importing_into_folder'] = "Importing <strong>'%s'</strong> (%s) into folder %s.";
$strings['import']['importing_new_version'] = "Importing <strong>'%s'</strong> (%s) as a new version of %s.";
$strings['import']['creating_temp_dir'] = 'Creating temporary directory';
$strings['import']['removing_temp_dir'] = 'Removing temporary directory';
$strings['import']['creating_subfolder'] = "Creating new subfolder <strong>'%s'</strong>";

$strings['import']['keywords'] = 'Keywords, separated by semicolons';
$strings['import']['image_to_add'] = 'image to add';
$strings['import']['replace_with'] = 'replace image with';
$strings['import']['uncompress'] = 'Uncompressing';
$strings['import']['validating_xml'] = 'Validating <b>data.xml</b>';

 /* Generic stuff */

$strings['generic']['username'] = "Username";
$strings['generic']['password'] = "Password";
$strings['generic']['password_again'] = "Password (confirm)";
$strings['generic']['resource_password'] = "Resource Password";
$strings['generic']['return'] = "Return";
$strings['generic']['submit'] = "Submit Request";
$strings['generic']['here'] = "here";
$strings['generic']['login'] = 'Log in';
$strings['generic']['user_registration'] = 'User Registration';
$strings['generic']['clear'] = 'Clear';
$strings['generic']['cancel'] = 'Cancel';
$strings['generic']['order_by'] = 'Order By';
$strings['generic']['logout'] = 'Log out';
$strings['generic']['register'] = 'Register';
$strings['generic']['users'] = 'Users';
$strings['generic']['subscribe'] = 'Subscribe';
$strings['generic']['search'] = 'Search';
$strings['generic']['help'] = 'Help';
$strings['generic']['parent'] = 'parent';
$strings['generic']['description'] = 'Description';
$strings['generic']['add_photos'] = 'Add Images';
$strings['generic']['add_manufacturer'] = 'Add Manufacturer';
$strings['generic']['add_duplicate'] = 'Add Duplicate';
$strings['generic']['add_to_spool'] = 'Add to Spool';
$strings['generic']['list_view'] = 'List View';
$strings['generic']['slide_view'] = 'Slide View';

$strings['generic']['all_users'] = 'All Users';

$strings['generic']['save_changes'] = 'Save Changes';
$strings['generic']['confirm_delete'] = 'Confirm Deletion';
$strings['generic']['confirm_purchase'] = 'Confirm Purchase';
$strings['generic']['confirm_subscription'] = 'Confirm Subscription';
$strings['generic']['add_selection_to_basket'] = 'Add Selection to Basket';
$strings['generic']['update_basket'] = 'Update Basket';
$strings['generic']['view_basket'] = 'View Basket';
$strings['generic']['set_as_watermark'] = 'Set as Watermark';

$strings['generic']['client_name'] = 'client name';
$strings['generic']['status'] = 'status';
$strings['generic']['trusted'] = 'trusted';
$strings['generic']['reg_date'] = 'registration date';

$strings['generic']['my_folders'] = 'My Folders';
$strings['generic']['my_albums'] = 'My Albums';
$strings['generic']['my_datebook'] = 'My Datebook';
$strings['generic']['my_profile'] = 'My Profile';
$strings['generic']['my_settings'] = 'My Settings';
$strings['generic']['my_tools'] = 'My Tools';
$strings['generic']['my_basket'] = 'My Basket';
$strings['generic']['admin'] = 'Administration';

$strings['generic']['volume'] = 'volume';
$strings['generic']['current'] = 'current';
$strings['generic']['max_size'] = 'max size';
$strings['generic']['size'] = 'size';
$strings['generic']['files'] = 'files';
$strings['generic']['subdirs'] = 'subdirectories';
$strings['generic']['last_mod'] = 'last modified';

$strings['generic']['tools'] = 'Tools';
$strings['generic']['master'] = 'Master';

$strings['generic']['edit'] = 'Edit';
$strings['generic']['delete'] = 'Remove';
$strings['generic']['no'] = 'No';
$strings['generic']['yes'] = 'Yes';

$strings['generic']['add'] = 'Add';
$strings['generic']['and'] = 'and';
$strings['generic']['with'] = 'with';
$strings['generic']['in'] = 'in';

$strings['generic']['refs'] = 'references';

$strings['generic']['add_versions'] = 'additional versions';
$strings['generic']['members_storing'] = 'members storing';

$strings['generic']['public'] = 'Public';
$strings['generic']['private'] = 'Private';
$strings['generic']['protected'] = 'Protected';

$strings['generic']['pending'] = 'Pending';
$strings['generic']['accepted'] = 'Accepted';
$strings['generic']['rejected'] = 'Rejected';

$strings['generic']['skip'] = 'Skip';
$strings['generic']['first'] = 'First';
$strings['generic']['second'] = 'Second';
$strings['generic']['third'] = 'Third';
$strings['generic']['next'] = 'Next';
$strings['generic']['back'] = 'Back';
$strings['generic']['previous'] = 'Previous';
$strings['generic']['last'] = 'Last';

$strings['generic']['pixels'] = 'pixels';
$strings['generic']['language'] = 'Language';

$strings['generic']['tray'] = 'Tray';
$strings['generic']['cdr'] = 'CD-R';
$strings['generic']['album'] = 'Album';

$strings['generic']['all'] = 'All';
$strings['generic']['lens'] = 'Lens';
$strings['generic']['lenses'] = 'Lenses';
$strings['generic']['camera'] = 'Camera';
$strings['generic']['cameras'] = 'Cameras';
$strings['generic']['flash'] = 'Flash';
$strings['generic']['flashes'] = 'Flashes';
$strings['generic']['film'] = 'Film';
$strings['generic']['films'] = 'Films';
$strings['generic']['filter'] = 'Filter';
$strings['generic']['filters'] = 'Filters';
$strings['generic']['scanner'] = 'Scanner';
$strings['generic']['scanners'] = 'Scanners';
$strings['generic']['support'] = 'Support';
$strings['generic']['supports'] = 'Supports';
$strings['generic']['manufacturer'] = 'Manufacturer';
$strings['generic']['manufacturers'] = 'Manufacturers';
$strings['generic']['label'] = 'Label';
$strings['generic']['labels'] = 'Labels';
$strings['generic']['paper'] = 'Paper';
$strings['generic']['locations'] = 'Locations';
$strings['generic']['image'] = 'Image';
$strings['generic']['barcode'] = 'Barcode';

$strings['generic']['album_name'] = 'album name';
$strings['generic']['all_albums'] = 'all albums';

$strings['generic']['add_album'] = 'Add album';
$strings['generic']['edit_album'] = 'Edit album';
$strings['generic']['delete_album'] = 'Remove album';
$strings['generic']['add_folder'] = 'Add folder';
$strings['generic']['edit_folder'] = 'Edit folder';
$strings['generic']['delete_folder'] = 'Remove folder';

$strings['generic']['all_folders'] = 'All Folders';

$strings['generic']['user'] = 'User';
$strings['generic']['administrator'] = 'Administrator';

$strings['generic']['none'] = 'None';
$strings['generic']['name'] = 'Name';
$strings['generic']['photos'] = 'images';
$strings['generic']['albums'] = 'albums';
$strings['generic']['folder'] = 'folder';
$strings['generic']['folders'] = 'folders';

$strings['generic']['photo'] = 'photo';

$strings['generic']['folder_name'] = 'folder name';
$strings['generic']['subfolders'] = 'subfolders';
$strings['generic']['subalbums'] = 'subalbums';
$strings['generic']['equipment'] = 'equipment';
$strings['generic']['space'] = 'space';
$strings['generic']['type'] = 'type';
$strings['generic']['types'] = 'types';
$strings['generic']['bulk_upload'] = 'bulk upload';
$strings['generic']['shop'] = 'shop';
$strings['generic']['quota_count'] = 'quota count';
$strings['generic']['quota_size'] = 'quota size';
$strings['generic']['member_since'] = 'member since';
$strings['generic']['last_login'] = 'last login';
$strings['generic']['default_paper'] = 'default paper';
$strings['generic']['default_label'] = 'default label';

$strings['generic']['page'] = 'page';

$strings['generic']['per_page'] = 'Per page';
$strings['generic']['display_all'] = 'Display All';
$strings['generic']['display_album'] = 'Display Album';
$strings['generic']['display_folder'] = 'Display Folder';
$strings['generic']['displaying'] = 'Displaying';

$strings['generic']['embedded'] = 'Embedded';
$strings['generic']['unlimited'] = 'Unlimited';

$strings['generic']['enabled'] = 'Enabled';
$strings['generic']['disabled'] = 'Disabled';

$strings['generic']['unknown'] = 'Unknown';
$strings['generic']['trash'] = 'Trash';
$strings['generic']['orphanage'] = 'Orphanage';

$strings['generic']['empty_trash'] = 'Empty Trash';
$strings['generic']['is_empty'] = 'There are no viewable images';

$strings['generic']['print'] = 'Print';
$strings['generic']['brochure'] = 'Brochure';
$strings['generic']['empty'] = 'Empty';
$strings['generic']['plain'] = 'Plain';

$strings['generic']['export'] = 'Export';
$strings['generic']['photos_only'] = 'Images Only';
$strings['generic']['photos_xml'] = 'Images with XML';

$strings['generic']['rotate'] = 'Rotate';
$strings['generic']['rot_90'] = 'Rotate Right';
$strings['generic']['rot_270'] = 'Rotate Left';
$strings['generic']['rot_180'] = 'Rotate Upside-down';
$strings['generic']['flip'] = 'Flip Vertically';
$strings['generic']['flop'] = 'Flip Horizontally';

$strings['generic']['msec'] = 'msec';
$strings['generic']['done'] = 'done';
$strings['generic']['failed'] = 'failed';

$strings['generic']['day'] = 'day';
$strings['generic']['days'] = 'days';
$strings['generic']['week'] = 'week';
$strings['generic']['weeks'] = 'weeks';
$strings['generic']['month'] = 'month';
$strings['generic']['months'] = 'months';
$strings['generic']['year'] = 'year';
$strings['generic']['years'] = 'years';

$strings['generic']['access_auth_users'] = 'Accessible for authorized users';
$strings['generic']['access_owner_only'] = 'Accessible for owner only';

$strings['generic']['title'] = 'Title';
$strings['generic']['author'] = 'Author';
$strings['generic']['caption'] = 'Caption';
$strings['generic']['location'] = 'Location';
$strings['generic']['keywords'] = 'Keywords';
$strings['generic']['set_keywords'] = 'Set Keywords';
$strings['generic']['clear_keywords'] = 'Clear Keywords';
$strings['generic']['headline'] = 'Headline';
$strings['generic']['caption_writer'] = 'Caption Writer';
$strings['generic']['exposed'] = 'Date Exposed';
$strings['generic']['imported'] = 'Date Imported';
$strings['generic']['created'] = 'Date Created';
$strings['generic']['changed'] = 'Date Changed';
$strings['generic']['category'] = 'Category';
$strings['generic']['version'] = 'Version';
$strings['generic']['credit'] = 'Credit';
$strings['generic']['supp_category'] = 'Supplemental Category';
$strings['generic']['copyright'] = 'Copyright';
$strings['generic']['copyright_license'] = 'Copyright & License';
$strings['generic']['web_statement'] = 'Web Statement';
$strings['generic']['source'] = 'Source';
$strings['generic']['high_res_orig'] = 'High Resolution Original';
$strings['generic']['instructions'] = 'Instructions';
$strings['generic']['trans_ref'] = 'Transmission Reference';
$strings['generic']['access'] = 'Access';
$strings['generic']['item'] = 'Item';
$strings['generic']['currency'] = 'Currency';
$strings['generic']['price'] = 'Price';
$strings['generic']['remark'] = 'Remark';
$strings['generic']['rating'] = 'Rating';
$strings['generic']['rate'] = 'Rate';
$strings['generic']['views'] = 'Number of Views';
$strings['generic']['orig_file'] = 'Original filename';
$strings['generic']['order_added'] = 'Order added';
$strings['generic']['search_criteria'] = 'Search criteria';
$strings['generic']['recursive'] = 'Recursive';
$strings['generic']['selection'] = 'Selection';
$strings['generic']['select_all'] = 'Select All';
$strings['generic']['select_none'] = 'Select None';
$strings['generic']['action'] = 'Action';
$strings['generic']['hide'] = 'Hide';
$strings['generic']['images_here'] = 'Images Here';

$strings['generic']['camera_metering'] = 'Camera metering';
$strings['generic']['camera_program'] = 'Camera program';
$strings['generic']['focal_length'] = 'Focal length';
$strings['generic']['aperture'] = 'Aperture';
$strings['generic']['shutter_speed'] = 'Shutter speed';
$strings['generic']['iso_override'] = 'Film ISO override';
$strings['generic']['scan_parameters'] = 'Scan parameters';
$strings['generic']['dpi'] = 'dpi';
$strings['generic']['bits'] = 'bits';
$strings['generic']['passes'] = 'passes';
$strings['generic']['flash_mode'] = 'Flash mode';
$strings['generic']['flash_comp'] = 'Flash compensation';
$strings['generic']['exp_comp'] = 'Exposure compensation';
$strings['generic']['exp_diff'] = 'Exposure difference';
$strings['generic']['colorspace'] = 'Image colorspace';
$strings['generic']['rotation'] = 'Image rotation';

$strings['generic']['best'] = 'Best';
$strings['generic']['worst'] = 'Worst';
$strings['generic']['no_watermarking'] = 'No Watermarking';
$strings['generic']['northeast'] = 'Northeast';
$strings['generic']['northwest'] = 'Northwest';
$strings['generic']['north'] = 'North';
$strings['generic']['east'] = 'East';
$strings['generic']['west'] = 'West';
$strings['generic']['center'] = 'Center';
$strings['generic']['southeast'] = 'Southeast';
$strings['generic']['southwest'] = 'Southwest';
$strings['generic']['south'] = 'South';
$strings['generic']['automatic'] = 'Automatic';
$strings['generic']['modify'] = 'Modify';

$strings['generic']['po_powered_by'] = 'Powered by <a href="http://po.shaftnet.org/">Photo Organizer</a>';
$strings['generic']['po_copyright'] = 'Copyright &copy; 2002-2006 <a href="http://www.k-i-s.net">Balint Kis</a>, &copy; 2005-2007 <a href="http://www.shaftnet.org/users/pizza">Solomon Peachy</a>, and is available under the terms of the <a href="copyright.php">GNU GPL</a>';

$strings['generic']['license_disclaimer'] = "The following copyright and license text only applies to the software program (Photo Organizer).  All of the user data managed by the software, including but not limited to the images themselves, is copyright its respective owners and is probably being made available under different terms.";

  /* Mail messages */  /* Important -- use single quotes */

$strings['mail']['login_info'] = '
   $site_title login information

   Dear $user_data[0],

   Below you will find your login information for $site_title.

      Username: $user_data[3]
      Password: $user_data[4]

   To log in, visit:

      $site_url
';

$strings['mail']['mail_bottom'] = '

   This e-mail has been automatically generated.  Please do not reply.

   Thank you.

           - The $site_title administration staff.';

$strings['mail']['login_info_subject'] = '$site_title login information request';


$strings['mail']['new_sub_top'] = '
   $site_title Client Subscription Notification

   Dear $user_data[0],

   On $client_data[5], $client_data[0] $client_data[1] subscribed as one of your clients. Their status is: *$client_data[3]*, which means that $client_data[0] $client_data[1] ';

$strings['mail']['new_sub_pending'] = 'cannot access your protected images. 

   To enable your new client to access protected areas of your $site_title account, please visit your $site_title workspace and change this client status to *Accepted*.';

$strings['mail']['new_sub_accepted'] = 'can now access your protected images. 

   To disable their access to protected areas of your account, please visit your $site_title workspace and change this client status to *Disabled*';

$strings['mail']['new_client_subject'] = '$site_title Client Subscription Notification';

$strings['mail']['new_client_top'] = '
   $site_title Client Subscription Notification

   Dear $client_data[0],

   On $client_data[5], you subscribed to be a client of $user_data[0] $user_data[1].  Your current status is: *$client_data[3]*, which means that you ';
$strings['mail']['new_client_pending'] = 'cannot access the protected images of $user_data[0] $user_data[1].  

   $user_data[0] $user_data[1] also received a notification and they will evaluate and possibly accept your subscription.';

$strings['mail']['new_client_accepted'] = 'can access the protected images of $user_data[0] $user_data[1].';

$strings['mail']['client_footer'] = '

  $user_data[0] $user_data[1] has the rights to change your client status at any time.  If this happens, you will be notified of any change.';

$strings['mail']['client_status_top'] = '
   $site_title Client Account Status Notification

   Dear $client_data[0],

   $user_data[0] $user_data[1] changed your client subscription status, which currently is: *$client_data[3]*. This means that you ';

$strings['mail']['client_status_pending'] = 'cannot access the protected images of $user_data[0] $user_data[1].';

$strings['mail']['client_status_rejected'] = 'cannot access the protected images of $user_data[0] $user_data[1].';

$strings['mail']['client_status_accepted'] = 'can access the protected images of $user_data[0] $user_data[1].';

$strings['mail']['client_status_subject'] = '$site_title Client Account Status Notification';

$strings['mail']['account_status'] = '
   $site_title Account Status Notification

   Dear $user_data[0],

   Your $site_title account settings were changed to:

     Account type:            $user_data[4]
     Bulk upload:             $user_data[5]
     Storage space quota:     $user_data[7] MB     (0 is unlimited)
     Image count quota:       $user_data[8] images (0 is unlimited)

  If you have an questions, please contact your $site_title administrator.
';

$strings['mail']['account_status_subject'] = '$site_title Account Status Notification';

?>
