<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/common.php";
include_once "include/site.php";
include_once "include/mail.php";
include_once "include/site.php";

$username   = isset($_REQUEST['username']) ? pg_escape_string($_REQUEST['username']) : "";
$password   = isset($_REQUEST['password']) ? pg_escape_string($_REQUEST['password']) : "";
$auto_login = isset($_REQUEST['auto_login']) ? $_REQUEST['auto_login'] : "";

$operation  = isset($_REQUEST['operation']) ? $_REQUEST['operation'] : "login";

/* Login reason */
$reason = isset($_REQUEST['reason']) ? $_REQUEST['reason'] : FALSE;

/* Referer */
$orig = isset($_REQUEST['orig']) ? $_REQUEST['orig'] : (isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : "");

$database = site_prolog();
$error_code = 0;

/* Initialize the language stuff here */
$lang = isset($_REQUEST['lang']) ? $_REQUEST['lang'] : $po_options['lang'];
$po_options['lang'] = $lang;

if ($reason != FALSE)
  $error_code = 99;

if ($operation == "send_info") {
  $email  = $_REQUEST['email'];
  if (send_login_information($database, $email))
    $error_code = 2; /* success */
  else {
    $reason = "invalid_email";
    $error_code = 99; /* failure */
  }
} elseif ($operation == "logout") {
  if ($po_user['session_id']) 
	  session_id($po_user['session_id']);

  session_start();
  setcookie(session_name(), '', time()-3600);
  session_destroy();

  $operation = "";

  $po_user['id'] = 0;
  $po_user['type'] = PO_USER_TYPE_DISABLED;
  $po_user['session'] = FALSE;
} elseif ($operation == "login") {
  /* log in, first check if a username was entered */
  if ($username) {
    $res = pg_query($database, "SELECT identifier, type, username, first_name, last_name
                             FROM users
                            WHERE username='$username' 
                              AND password='$password'");
    if (($res != FALSE) && pg_num_rows($res)) {
      $row = pg_fetch_assoc($res);
      $po_user['id'] = $row['identifier'];
      $po_user['type'] = $row['type'];
      $po_user['username'] = $row['username'];
      $po_user['first_name'] = $row['first_name'];
      $po_user['last_name'] = $row['last_name'];
      $po_options['lang'] = $lang;
      $po_user['auto_login'] = ($auto_login != "");

      refresh_user_prefs($database);

      site_update_session();
      
      if ($po_user['type'] == PO_USER_TYPE_DISABLED) {
	$error_code = 99;
	$reason = "disabled_account";
      }
    } else {
      $error_code = 99;
      $reason="invalid_login";
      $operation = "logout";
    }
  }
}

/* Ensure we have a valid session! */
if (!isset($_SESSION['po_user'])) {

  if ($po_user['session_id']) 
	  session_id($po_user['session_id']);
  session_start();
  setcookie(session_name(), '', time()-3600);
  session_destroy();
 }

if ($operation == "password" && $password != "") {
  $found = FALSE;
  foreach ($po_user['passwords'] as $pwd) {
    if ($password == $pwd) {
      $found = TRUE;
      break;
    }
  }
  foreach ($po_options['passwords'] as $pwd) {
    if ($password == $pwd) {
      $found = TRUE;
      break;
    }
  }
  if (!$found) {
    if ($po_user['id']) {
      array_push($po_options['passwords'], $password);
      $store_user_pref($database, $po_user['id'], 
		       'passwords', serialize($po_options['passwords']));
    } else {
      array_push($po_user['passwords'], $password);
    }
  }

  site_update_session();
  // print_r($po_user['passwords']);
  header("Location: $orig");
  exit();
 }

if ($po_user['type'] > PO_USER_TYPE_DISABLED)
  site_header($strings['generic']['logout']);
 else
   site_header($strings['generic']['login']);

site_navigator(3);

if ($operation == "get_email") {
  site_navigator_status("<a href=\"login.php\">Login</a> : ".$strings['login']['email_prep'], "");
  print "<center>\n";
  print "<p>";
  print $strings['login']['email_prompt'];
  print "</p>";
  print "<form action=\"login.php\" method=\"post\">\n";
  print "<input type=\"hidden\" name=\"operation\" value=\"send_info\" />\n";
  print "<input type=\"text\" name=\"email\" size=\"40\" tabindex=\"1\"/><br/>\n";
  print $thm_elem['button.submit'];
  print $thm_elem['button.reset'];
  print "</form>\n";
  print "</center><p>\n";
 } elseif (($operation == "login") && 
	   ($po_user['type'] > PO_USER_TYPE_DISABLED)) {
  $name = pg_fetch_row(pg_query($database, "select first_name, last_name, username, user_type.identifier from users, user_type where users.identifier='$po_user[id]' and users.type=user_type.identifier"));

  switch ($name[3]) {
  case PO_USER_TYPE_DISABLED:
    $status_string = $strings['login']['disabled_account'];
    break;
  case PO_USER_TYPE_CLIENT:
    $status_string = $strings['login']['client_account'];
    break;
  case PO_USER_TYPE_USER:
    $status_string = $strings['login']['user_account'];
    break;
  case PO_USER_TYPE_ADMIN:
    $status_string = $strings['login']['admin_account'];
    break;
  }

  if ($name[0] != "" || $name[1] != "")
    site_navigator_status($strings['login']['logged_in_as'] ."<b>$name[0] $name[1]</b>, ".$strings['generic']['username'].": <b>$name[2]</b>", $status_string);
  else
    site_navigator_status($strings['login']['logged_in_as'] ."<b>$name[2]</b>", "");
  if ($reason != FALSE) {
    print "<p><font color=\"red\">".$strings['errors'][$reason]."</font></p>\n";
    if ($orig != "") {
      print "<p><a href=\"$orig\">".$strings['generic']['return']."</a></p>\n";
    }
  }
  print "<center>\n";
  print "<p>";
  print $strings['login']['logout_prompt'];
  print "</p>";
  print "<form action=\"login.php\" method=\"post\">\n";
  print "<input type=\"hidden\" name=\"operation\" value=\"logout\" />\n";
  print "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
  print $thm_elem['button.logout'];
  print "</form>\n";

  if ($orig != "" && $reason == 'protected') {
    print "&nbsp;<br/>\n";
    print "<form action=\"login.php\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"operation\" value=\"password\" />\n";
    print "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
    print "<table class=\"login\">\n";
    print "<tr><td>".$strings['generic']['resource_password']."</td><td><input type=\"text\" name=\"password\" value=\"\" /></td></tr>\n";
    print "</table>\n";
    print $thm_elem['button.submit'];
    print "</form>\n";
  }

  print "</center>\n";
 } else {
  switch ($error_code) {
  case 0:
    site_navigator_status($strings['login']['login_prompt'], "");
    break;
  case 2:
    site_navigator_status($strings['login']['email_sent'] . " <b>$email</b>.", "");
    break;
  case 99:
    site_navigator_status("<font color=\"red\">".$strings['errors'][$reason]."</font>", $orig != "" ? "<a href=\"$orig\">".$strings['generic']['return']."</a>" : "");
    break;
  }

  print "<center><table class=\"search\"><tr>\n";
  print "<td align=\"center\" valign=\"top\" >\n";

  print "<form action=\"login.php\" method=\"post\">\n";
  print "<input type=\"hidden\" name=\"operation\" value=\"login\" />\n";
  print "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
  print "<table class=\"login\">\n";
  print "<tr>". emit_td($strings['generic']['username']). "<td><input type=\"text\" name=\"username\" value=\"$username\" tabindex=\"1\"/></td></tr>\n";
  print "<tr>" . emit_td($strings['generic']['password'])."<td><input type=\"password\" name=\"password\" tabindex=\"2\"/></td></tr>\n";
  print emit_language_combo($lang);
  print "<tr><td colspan=\"2\"><input type=\"checkbox\" name=\"auto_login\" checked=\"checked\" />".$strings['login']['auto_login']."</td></tr>\n";
  print "</table>\n";
  print $thm_elem['button.login'];
  print $thm_elem['button.clear'];
  print "</form>\n";

  if ($orig != "" && $reason == 'protected') {
    print "&nbsp;<br/>\n";
    print "<form action=\"login.php\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"operation\" value=\"password\" />\n";
    print "<input type=\"hidden\" name=\"orig\" value=\"$orig\" />\n";
    print "<table class=\"login\">\n";
    print "<tr><td>".$strings['generic']['resource_password']."</td><td><input type=\"text\" name=\"password\" value=\"\" /></td></tr>\n";
    print "</table>\n";
    print $thm_elem['button.submit'];
    print "</form>\n";
  }

  if ($po_options_default['new_user_type'] != PO_USER_TYPE_DISABLED) {
    print "&nbsp;<br/>\n";
    print $strings['login']['user_register'] . "<br/>";
    print "&nbsp;<br/>\n";
    print "<div align=\"center\">";
    print "<form action=\"register.php\" method=\"post\">";
    print $thm_elem['button.register'];
    print "</form>";
    print "</div>";
  }

  print "</td></tr><tr><td align=\"center\" valign=\"bottom\" >";
  print "&nbsp;<br/>\n";
  print $strings['login']['forgot_password'] ." <a href=\"login.php?operation=get_email\">".$strings['generic']['here']."</a>.";
  print "</td>\n";
  print "</tr></table></center>\n";
}

site_footer($database);
site_epilog($database);
?>
