<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
;
include_once "include/common.php";

$database = site_prolog(PO_USER_TYPE_USER);

$type = pg_escape_string($_REQUEST['type']);
$manufacturer_filter = pg_escape_string(isset($_REQUEST['filter']) ? $_REQUEST['filter'] : "");
$type_id          = pg_escape_string($_REQUEST['item']);

$current_value = pg_fetch_row(pg_query($database, "select name, model, variation, serial_number,
                                                          date_of_purchase, purchased_new, access_rights, users
                                                     from view_$type where identifier='$type_id'"));

/* Ensure the user owns it !*/
if (($po_user['id'] != $current_value[7]) &&
    ($po_user['type'] < PO_USER_TYPE_ADMIN)) {
  site_push_error($strings['errors']['not_owner']);
  header("Location: login.php");
  site_epilog($database);
  exit();
 }

$type_current_value = pg_fetch_row(pg_query($database, "select type from $type where identifier='$type_id'"));
$manufacturer = pg_query($database, "select identifier, name from manufacturer order by name");
$user_name = pg_fetch_row(pg_query($database, "select first_name, last_name from users where identifier=$po_user[id]"));

switch ($manufacturer_filter) {
 case "All":
 case "":
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type");
   break;
 default:
   $item_type = pg_query($database, "select identifier, name, model, variation, url from view_".$type."_type where name='$manufacturer_filter' or identifier='$type_current_value[0]'");
}

site_header(sprintf($strings['profile']['edit'], $strings['generic'][$type]));
site_navigator(6);
site_navigator_status(emit_a("user.php", $strings['generic']['users'])." : ".emit_a("my.profile.php", $strings['generic']['my_profile'])." : ".sprintf($strings['profile']['edit'], $strings['generic'][$type]), "");

display_navigator_box_top($profile_data[$type]['idx'], $profile_data, "100%");

print "<form method=\"post\" action=\"profile.edit.2.php?item_id=$type_id&amp;type=$type\">";
print "<table class=\"profile\">\n";

emit_profile_manuf_combo("profile.edit.php?type=$type&amp;item=$type_id", $type, 3, $manufacturer, $manufacturer_filter);

print "<tr>\n";
print "<th width=\"5%\"></th>\n";
print emit_th($strings['profile']['manufacturer'], "width=\"35%\"");
print emit_th($strings['profile']['model'], "width=\"45%\"");
print emit_th($strings['profile']['variation'], "width=\"20%\"");
print "</tr>\n";

$num = pg_num_rows($item_type);
if ($num > 0) {
  for ($i=0; $i < $num; $i++) {
    $r = pg_fetch_row($item_type, $i);
    print "<tr>";
    if ($type_current_value[0] == $r[0])
      print "<td><input type=\"radio\" name=\"type_id\" value=\"$r[0]\" checked=\"checked\"/></td>";
    else
      print "<td><input type=\"radio\" name=\"type_id\" value=\"$r[0]\"/></td>";
    print "<td><a target=\"_new\" href=\"$r[4]\">$r[1]</a></td>";
    print "<td>$r[2]</td>";
    print "<td>$r[3]</td>";
    print "</tr>";
  }
} else
  print "<tr><td colspan=\"4\">".sprintf($strings['profile']['none_found'], $strings['generic'][$type])." ".$strings['generic']['types'] ."</td></tr>\n";

print "</table>\n";

print "<table class=\"profile\">\n";
print "<tr class=\"folder_top\">";
print "<td colspan=\"4\">".sprintf($strings['profile']['edit_type'], $strings['generic'][$type])."</td>\n";
print "</tr>";
print "<tr>";
print "<th width=\"5%\"></th>\n";
print emit_th($strings['profile']['manufacturer'], "width=\"35%\"");
print emit_th($strings['profile']['model'], "width=\"45%\"");
print emit_th($strings['profile']['variation'], "width=\"20%\"");
print "</tr>";

print "<tr>";
print "<td>";
print "<input type=\"radio\" name=\"type_id\" value=\"custom\"/>";
print "</td>";
print "<td>";
print emit_manufacturer_combo('manufacturer_id', $manufacturer, $current_value[0]);
print "</td>";
print "<td>";
print "<input type=\"text\" name=\"model\" value=\"$current_value[1]\"/>";
print "</td>";
print "<td>";
print "<input type=\"text\" name=\"variation\" value=\"$current_value[2]\"/>";
print "</td>";
print "</tr>";
print "</table>\n";

print "<table class=\"profile\">\n";
print "<tr class=\"folder_top\"><td colspan=\"4\">".sprintf($strings['profile']['specific_data'], $strings['generic'][$type])."</td></tr>\n";

print "<tr>";
print emit_th($strings['profile']['serial']);
print emit_th($strings['profile']['purchased']);
print emit_th($strings['profile']['new']);
print emit_th($strings['generic']['access']);
print "</tr>";

$date_of_purchase= substr($current_value[4], 0, 10);

print "<tr>";
print "<td><input type=\"text\" name=\"serial_number\" value=\"$current_value[3]\"/></td>";
print "<td>\n";
print emit_date_input_form("purchase_timestamp", $date_of_purchase);
print "</td>\n";
print "<td>"; display_yes_no_combo("purchased_new", $current_value[5]); print "</td>\n";
print "<td>"; display_access_combo("access_rights", $current_value[6], ""); print "</td>\n";
print "</tr>";
print "</table>";

print $thm_elem['button.save.changes'];
print $thm_elem['button.clear'];
print $thm_elem['button.cancel'];
print "</form>";

display_navigator_box_bottom("100%");

site_footer($database);
site_epilog($database);
?>
