<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


include_once "include/config.php";
;
include_once "include/site.php";
include_once "include/common.php";
include_once "include/orderby.php";
include_once "include/search.php";
include_once "include/search.2.php";


$database   = site_prolog();

$photo_id   = pg_escape_string($_REQUEST['photo']);

site_header("Search Image Layout");
site_navigator(2);

site_navigator_status("Create an image layout to search for:", "");
print "&nbsp;<br/>\n";

display_navigator_box_top($search_interface['image_layout']['idx'], $search_interface, "100%");
if ($photo_id) {
  $argon_photo_id = $photo_id;
  $search_type = "submit";
  $file_name = $site_url."/image.display.php?image=$photo_id";
  display_frame_top();
  print "<a class=\"nodecor\" href=\"photo.php?photo=$photo_id\"><img src=\"image.display.php?image=$photo_id&size=1\"/></a>\n";
  display_frame_bottom();
}
else {
  $argon_photo_id = 1;
  $search_type = "no_submit";
  print "&nbsp;<br/>\n";
  print "<applet codebase=\"java/search.layout\" code=\"LayoutSearch.class\" width=\"601\" height=\"281\">\n";
  print "<param name=\"canvas_width\"  value=\"600\"/>\n";
  print "<param name=\"canvas_height\" value=\"280\"/>\n";
  print "<param name=\"horizontal_cell_count\" value=\"37\"/>\n";
  print "<param name=\"vertical_cell_count\" value=\"14\"/>\n";
  print "<param name=\"image_path\" value=\"buttons\"/>\n";
  print "<param name=\"submit_url\" value=\"$site_url/search.image.layout.php\"/>\n";

  $width  = $_REQUEST['width'];
  $height = $_REQUEST['height'];
  for ($j = 0; $j < $height; $j++)
    for ($i = 0; $i < $width; $i++) {
      $index = $j * $width + $i;
      $value = $_REQUEST[px.$index];
      print "<param name=\"px".$index."\" value=\"".$value."\">\n";
    }
  print "</applet>\n";
}
display_navigator_box_bottom("100%");
print "&nbsp;<br/>\n";

if (!$photo_id) {
  if ($_REQUEST['submit'] != "yes") {
    site_footer($database);
    site_epilog($database);
    exit();
  }
  $file_name = createXMPFile();
}

$index_algorithm = "ar_index_haar:0.2.0";
$search_algorithm ="ar_search_euclidean:0.1.0";
$limit = $po_options['photos_per_page'];
$offset = 0;

$photo_id_list = array();
$photo_id_counter = 0;

argon_query($cbir_host, $cbir_port, $index_algorithm, $search_algorithm, $search_type, $limit, $offset, $argon_photo_id, $file_name);

if (!$photo_id) {
  error_reporting(0);
  unlink($file_name);
  error_reporting(1);
}

if ($photo_id_list) {
  $sql_query_access_rights_string = " can_access_photo(photo.identifier, $po_user[id], '{".$passwords."}')";

  $sql_search_string = "";
  for ($i = 0; $i < $photo_id_counter; $i++) {
    $sql_search_entry =
       "(select photo.identifier, photo.caption, date_of_exposure, photo.date_added,
                photo.access_rights,
                11 - (select avg(rating.value) from rating where rating.photo=photo.identifier) as rating,
                photo.users, users.first_name, users.last_name, views,
                $i as sort_order
           from photo, folder, photo_version, users
          where photo.folder = folder.identifier
            and photo.users = users.identifier
            and photo.identifier = photo_version.photo
            and photo_version.master='t'
            and photo.identifier = $photo_id_list[$i]
            and $sql_query_access_rights_string)";

    if ($sql_search_string) {
      $sql_search_string = $sql_search_string ." union ". $sql_search_entry;
    }
    else {
      $sql_search_string = $sql_search_entry;
    }
  }
  $sql_search_string = $sql_search_string . " order by sort_order";
  $search_result = pg_query($database, $sql_search_string);
  $num_of_matches = pg_num_rows($search_result);
}
else {
  exit();
}

$arguments = "&amp;search_type=$search_type&amp;offset=$offset";
$search_string_exp = str_replace(" ", "+", $search_string);

print "<form  name=\"photoList\" method=post action=folder.content.php>";
print "<input type=\"hidden\" name=\"user\" value=\"$user_id\"/>";
print "<input type=\"hidden\" name=\"return\" value=\"search.image.layout.php?search_string=$search_string$arguments\"/>";
print "<input type=\"hidden\" name=\"view\" value=\"$view\"/>";

if (($offset + $limit) > $num_of_matches) {
  $items = $num_of_matches - $offset;
} else {
  $items = $limit;
}

display_photo_navigator("search.image.layout.php?search_string=$search_string$arguments", $offset, $limit, $num_of_matches);

$checkboxes = display_photo_slides("search_general", $folder_id, $search_result, $items, true, true);
display_photo_navigator("search.image.layout.php?search_string=$search_string$arguments", $offset, $limit, $num_of_matches);

print "&nbsp;<br/>\n";
site_navigator_status("Searched database for $photo_id", "Displaying photos " . display_photo_index_status($offset, $limit, $num_of_photos));
print "<table align=\"left\" valign=\"middle\" cellpadding=\"0\" border=\"0\">";
print "<tr>";
if ($checkboxes > 0 && $po_user['id']) {
  $album_all = pg_query($database, "select identifier, caption from album where users=$po_user[id] and order by date_of_creation desc");
  if (pg_num_rows($album_all) > 0) {
    print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td><td align=\"left\" valign=\"middle\">";
    display_album_actions($album_all, $album_id);
    print "</td>";
  }
  print "<td align=\"left\" valign=\"middle\">&nbsp;&nbsp;</td>";
  print "<td align=\"left\" valign=\"middle\">";
  display_selectbutton();
  print "</td>";
  print "</td>";
}
print "</tr>";
print "</table>";
print "</form>";

print "&nbsp;<br/>\n";

site_footer($database);
site_epilog($database);
?>
